SDL_AUDIO_ISLITTLEENDIAN(3)

NAME
SDL_AUDIO_ISLITTLEENDIAN - Determine if an SDL_AudioFormat
 represents littleendian data.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AUDIO_ISLITTLEENDIAN(x)  (!SDL_AUDIO_ISBIGENDIAN(x))

DESCRIPTION
For example, SDL_AUDIO_ISLITTLEENDIAN(SDL_AUDIO_S16BE) returns 0.

RETURN VALUE
Returns non-zero if format is littleendian, zero otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.0.0.